package com.srs.comprehensive.service;

import java.util.List;
import com.srs.comprehensive.domain.CphRules;

/**
 * 规则Service接口
 * 
 * @author srs
 * @date 2023-07-03
 */
public interface ICphRulesService 
{

    /**
     * 查询思想品德子类
     * @author zhy
     * @date 2023-07-03 20:27:34
     * @return
     **/
    public List<CphRules> selectIamChildType();


    public List<CphRules> listAllRules();


    /**
     * 查询第二课堂子类
     * @author zhy
     * @date 2023-07-03 17:21:29
     * @return
     **/
    public List<CphRules> selectClassTwoChildType();

    /**
     * 查询规则
     * 
     * @param ruleId 规则主键
     * @return 规则
     */
    public CphRules selectCphRulesByRuleId(Long ruleId);

    /**
     * 查询规则列表
     *
     *
     * @return 规则 树形结构
     */

    public List<CphRules> selectCphRulesListTree();

    /**
     * 查询规则列表
     * 
     * @param cphRules 规则
     * @return 规则集合
     */
    public List<CphRules> selectCphRulesList(CphRules cphRules);

    /**
     * 新增规则
     * 
     * @param cphRules 规则
     * @return 结果
     */
    public int insertCphRules(CphRules cphRules);

    /**
     * 修改规则
     * 
     * @param cphRules 规则
     * @return 结果
     */
    public int updateCphRules(CphRules cphRules);

    /**
     * 批量删除规则
     * 
     * @param ruleIds 需要删除的规则主键集合
     * @return 结果
     */
    public int deleteCphRulesByRuleIds(Long[] ruleIds);

    /**
     * 删除规则信息
     * 
     * @param ruleId 规则主键
     * @return 结果
     */
    public int deleteCphRulesByRuleId(Long ruleId);
}
